//20
#include <bits/stdc++.h>
using namespace std;
int M, N, A, X, Y;
int ukupno;
int main() {
    cin >> N >> M;

    int d[N]; // A svake osobe
    int p[N]; // broj poznanika za svaku osobu

    for (int i=1; i<=N; i++) p[i]=0;

    for (int i=1; i<=N; i++) {
        cin >> A;
        d[i]=A;
    }

    for (int i=0; i<M; i++) {
        cin >> X >> Y;
        p[X]++;
        p[Y]++;
    }

    for (int i=0; i<=N; i++) {
        d[i]*=p[i];
        ukupno+=d[i];
        }

    cout << ukupno;

    return 0;
}